CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Message Class Reference

Abstraction for forum messages and resource comments. More...

## Public Attributes
const | OK = 0
const | NONEXISTENT = 1
const | PARENTTYPE_TOPIC = 1
const | PARENTTYPE_RESOURCE = 2

## Setup/Initialization/Destruction
| Message ($MessageId=NULL)
| Object constructor. More...
| Delete ()
| Delete this message from the underlying database. More...

## Accessors
| MessageId ()
| Get this message's messageId. More...
| PosterName ()
| Get the CWIS username of the most recent poster. More...
| PosterEmail ()
| Get the email address of the most recent poster. More...
| EditorId ($NewValue=DB_NOVALUE)
| Get the CWIS user ID of the most recent editor. More...
| ParentId ($NewValue=DB_NOVALUE)
| Get or set the ParentId. More...
| ParentType ($NewValue=DB_NOVALUE)
| Get or set the ParentType. More...
| DatePosted ($NewValue=DB_NOVALUE)
| Get or set the date posted. More...
| DateEdited ($NewValue=DB_NOVALUE)
| Get or set the date the message was last edited. More...
| PosterId ($NewValue=DB_NOVALUE)
| Get or set the poster id (e.g., the author) for this message. More...
| Subject ($NewValue=DB_NOVALUE)
| Get or set the message subject. More...
| Body ($NewValue=DB_NOVALUE)
| Get or set the message body. More...
| GetErrorStatus ()
| Retrieve the error status. More...

## Detailed Description

Abstraction for forum messages and resource comments.

Definition at line 15 of file Message.php.

## Member Function Documentation

Message::Body | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the message body.

Parameters

  string | $NewValue | (OPTIONAL)

Returns
  Message body

Definition at line 170 of file Message.php.

Message::DateEdited | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the date the message was last edited.

Parameters

  string | $NewValue | (OPTIONAL)

Returns
  date the message was last edited

Definition at line 149 of file Message.php.

Message::DatePosted | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the date posted.

Parameters

  string | $NewValue | (OPTIONAL)

Returns
  Posting date

Definition at line 142 of file Message.php.

Message::Delete | ( |  | ) |

Delete this message from the underlying database.

Definition at line 74 of file Message.php.

References MessageId(), and OK.

Message::EditorId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get the CWIS user ID of the most recent editor.

Returns
  CWIS user ID of the most recent editor

Definition at line 117 of file Message.php.

Message::GetErrorStatus | ( |  | ) |

Retrieve the error status.

Returns
  Message::OK if everything worked, something else otherwise

Definition at line 176 of file Message.php.

References MessageId(), and OK.

Message::Message | ( |  | $MessageId = `NULL` | ) |

Object constructor.

After constructing the object, be sure to call GetErrorStatus() and verify that it returns Message::OK.

Parameters

  int | $MessageId | The message Id to retrieve from the database, or -1 to create a new message

Definition at line 35 of file Message.php.

References MessageId(), and OK.

Message::MessageId | ( |  | ) |

Get this message's messageId.

Returns
  MessageId

Definition at line 91 of file Message.php.

Referenced by Delete(), GetErrorStatus(), and Message().

Here is the caller graph for this function:

Message::ParentId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the ParentId.

For forum posts, the ParentId is a TopicId. For resource comments, the ParentId is the ResourceId.

Parameters

  int | $NewValue | New value to set (OPTIONAL)

Returns
  The current ParentId

Definition at line 126 of file Message.php.

Message::ParentType | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the ParentType.

Parent Type = 1 for forum posts and Parent Type = 2 for resource comments

Parameters

  int | $NewValue | (OPTIONAL)

Returns
  The current ParentType

Definition at line 135 of file Message.php.

Message::PosterEmail | ( |  | ) |

Get the email address of the most recent poster.

Returns
  Email address of the most recent poster

Definition at line 107 of file Message.php.

References PosterId().

Message::PosterId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the poster id (e.g., the author) for this message.

Parameters

  int | $NewValue | (OPTIONAL)

Returns
  CWIS Id number of this message's author

Definition at line 156 of file Message.php.

Referenced by PosterEmail(), and PosterName().

Here is the caller graph for this function:

Message::PosterName | ( |  | ) |

Get the CWIS username of the most recent poster.

Returns
  CWIS username of the most recent poster

Definition at line 97 of file Message.php.

References PosterId().

Message::Subject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the message subject.

Parameters

  string | $NewValue | (OPTIONAL)

Returns
  Message subject

Definition at line 163 of file Message.php.

## Member Data Documentation

const Message::NONEXISTENT = 1

Definition at line 20 of file Message.php.

const Message::OK = 0

Definition at line 19 of file Message.php.

Referenced by Delete(), Forum\DeleteMessage(), GetErrorStatus(), and Message().

const Message::PARENTTYPE_RESOURCE = 2

Definition at line 23 of file Message.php.

const Message::PARENTTYPE_TOPIC = 1

Definition at line 22 of file Message.php.

Referenced by Forum\GetLastMessage(), and Forum\PostMessage().

The documentation for this class was generated from the following file:

- objects/Message.php